<?php
/**
* A page controller
*
* @package    Tina-MVC
* @subpackage Tina-Sample-Apps
* @author     Francis Crossen <francis@crossen.org>
*/

/**
* A simple example of how to assign variables to a template/view and display it
*
* Access it at: /tina-mvc-for-wordpress/example-mvc
*
* @package    Tina-MVC
* @subpackage Tina-Sample-Apps
* @uses         example_mvc_view.php the example_mvc view file
*/
class example_mvc_page extends tina_mvc_base_page_class {
    
    function __construct( $request ) {
        parent::__construct(  $request );            
            
        $sample_view_data = array('var1' => 'val1',
                                  'arrVar' => array( 1,2,3 )
                                  );
            
            
        $this->set_post_content( $this->load_view('example_mvc', tina_mvc_esc_html_recursive( $sample_view_data ) ));
        
        $this->set_post_title('Page title...');
        
    }

}


?>